Subject: Re: [OPSAWG] draft-ietf-opsawg-oam-overview WGLC (again)

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Mon, 6 Jan 2014 14:27:37 +0000

Hi,

I reviewed draft-ietf-opsawg-oam-overview-11. I find the content and the structure of the document to be well improved in the last couple of versions. I believe that it is ready for re-submission to the IESG. The comments below can further improve the document but none of them is really blocking: 

1. In the process of re-organizing the document the references have been mixed up. Runing id-nits immediately flags some of the problems - for example that [RFC6291] is used but not defined. It actually hides as [OAM-Def]. The authors used 'descriptive' acronyms for references to IETF documents, but pointed to non-IETF documents according to their names (e.g. [ITU-T-Y1711]. This looks inconsistent, not big deal, but at least idnits should run clean.

2. I suggest to include a short section about the non-IETF work on OAM some place in the introduction, for example as Section 1.5. Within the document there are references to IEEE 802.1ag (in 4.5.2) and to ITU-T Y.1731 in 4.7.1 and these seem out of context because they are included in sections about the IETF OAM various work. Annex A.2 comes too late for this purpose, at the end of the document. 

3. Please add OWAMP and TWAMP to the list of abbreviations in 2.1

4. In Section 2.2.9 I see: 

Point-to-multipoint (P2MP)

   A P2MP service delivers data from a single source to a one or more
   destinations (based on [Signal]).

   An MP2MP service as a service that delivers data from more than one
   source to one or more receivers (based on [Signal]).

Actually the reference [Signal] a.k.a. RFC 4461 refers to one possible flavor of P2MP which is MPLS-specific. It should be pointed to as an example, and not as a reference upon which any P2MP OAM service is based, as the current text seems to indicate. 

5. Section 5.3: I have a hard time understanding what the guidance to equipment vendors 'to enforce fate-sharing between OAM traffic and data place traffic' means. What should the vendors do differently? 

Thanks and Regards,

Dan

> -----Original Message-----
> From: OPSAWG [mailto:[email-masked]] On Behalf Of Bradner,
> Scott
> Sent: Tuesday, December 17, 2013 9:25 PM
> To: [email-masked]
> Subject: [OPSAWG] draft-ietf-opsawg-oam-overview WGLC (again)
> 
> this message represents the start of a new WGLC for  draft-ietf-opsawg-
> oam-overview
> 
> please take a look at the document and let the WG know what you think
> please do so before Jan 7
> 
> tnx
> 
> Scott
> 
> 
> http://tools.ietf.org/html/draft-ietf-opsawg-oam-overview-11
> _______________________________________________
> OPSAWG mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/opsawg